| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::line_descriptor::LSDParam Struct Reference
Binary descriptors for lines extracted from an image

`#include <opencv2/line_descriptor/descriptor.hpp>`

## Public Member Functions
| LSDParam ()

## Public Attributes
double | ang_th
double | density_th
double | log_eps
int | n_bins
double | quant
double | scale
double | sigma_scale

## Detailed Description

## Lines extraction methodology

The lines extraction methodology described in the following is mainly based on [249] . The extraction starts with a Gaussian pyramid generated from an original image, downsampled N-1 times, blurred N times, to obtain N layers (one for each octave), with layer 0 corresponding to input image. Then, from each layer (octave) in the pyramid, lines are extracted using LSD algorithm.

Differently from EDLine lines extractor used in original article, LSD furnishes information only about lines extremes; thus, additional information regarding slope and equation of line are computed via analytic methods. The number of pixels is obtained using LineIterator. Extracted lines are returned in the form of KeyLine objects, but since extraction is based on a method different from the one used in BinaryDescriptor class, data associated to a line's extremes in original image and in octave it was extracted from, coincide. KeyLine's field class_id is used as an index to indicate the order of extraction of a line inside a single octave.

## Constructor & Destructor Documentation

## ◆ LSDParam()

cv::line_descriptor::LSDParam::LSDParam | ( |  | ) |
| inline

## Member Data Documentation

## ◆ ang_th

double cv::line_descriptor::LSDParam::ang_th

## ◆ density_th

double cv::line_descriptor::LSDParam::density_th

## ◆ log_eps

double cv::line_descriptor::LSDParam::log_eps

## ◆ n_bins

int cv::line_descriptor::LSDParam::n_bins

## ◆ quant

double cv::line_descriptor::LSDParam::quant

## ◆ scale

double cv::line_descriptor::LSDParam::scale

## ◆ sigma_scale

double cv::line_descriptor::LSDParam::sigma_scale

The documentation for this struct was generated from the following file:

- opencv2/line_descriptor/descriptor.hpp